Open CASCADE Technology: StepVisual_PlanarBox Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepVisual_PlanarBox Class Reference

`#include <StepVisual_PlanarBox.hxx>`

Inheritance diagram for StepVisual_PlanarBox:
[legend]

## Public Member Functions
| StepVisual_PlanarBox ()
| Returns a PlanarBox. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Standard_Real aSizeInX, const Standard_Real aSizeInY)
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const Standard_Real aSizeInX, const Standard_Real aSizeInY, const StepGeom_Axis2Placement &aPlacement)
void | SetPlacement (const StepGeom_Axis2Placement &aPlacement)
StepGeom_Axis2Placement | Placement () const
Public Member Functions inherited from StepVisual_PlanarExtent
| StepVisual_PlanarExtent ()
| Returns a PlanarExtent. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName)
void | SetSizeInX (const Standard_Real aSizeInX)
Standard_Real | SizeInX () const
void | SetSizeInY (const Standard_Real aSizeInY)
Standard_Real | SizeInY () const
Public Member Functions inherited from StepGeom_GeometricRepresentationItem
| StepGeom_GeometricRepresentationItem ()
| Returns a GeometricRepresentationItem. More...
Public Member Functions inherited from StepRepr_RepresentationItem
| StepRepr_RepresentationItem ()
| Returns a RepresentationItem. More...
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepVisual_PlanarBox::StepVisual_PlanarBox | ( |  | ) |

Returns a PlanarBox.

## Member Function Documentation

virtual void StepVisual_PlanarBox::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Standard_Real | aSizeInX,
|  | const Standard_Real | aSizeInY
| ) |  |
| virtual

Reimplemented from StepVisual_PlanarExtent.

virtual void StepVisual_PlanarBox::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const Standard_Real | aSizeInX,
|  | const Standard_Real | aSizeInY,
|  | const StepGeom_Axis2Placement & | aPlacement
| ) |  |
| virtual

StepGeom_Axis2Placement StepVisual_PlanarBox::Placement | ( |  | ) | const

void StepVisual_PlanarBox::SetPlacement | ( | const StepGeom_Axis2Placement & | aPlacement | ) |

The documentation for this class was generated from the following file:

- StepVisual_PlanarBox.hxx